Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Attributes | List of all members
Ofcas.Lk.Api.Client.Core.ElevationInstanceInfo Class Reference

Represents the metadata to a ElevationInstance. More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.ElevationInstanceInfo:

## Public Attributes
Guid | Guid => Data.Guid
| Defines the unique identifier for the elevation instance. This Guid is valid during the hole lifetime of the elevation instance. More...
string | Description => Data.Description
| Defines the description of the elevation instance. More...
string | AssignedFabricationLot => Data.AssignedFabricationLotName
| Holds the name of the assigned fabrication lot project if the instance was include in a fabrication lot. More...
bool | Deleted => Data.IsDeleted
| Indicates whether this object was deleted. More...
bool | IsDeleted => Data.IsDeleted
| Indicates whether this object was deleted. More...

## Additional Inherited Members
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreInfo< ElevationInstanceInfoData, Elevation, ElevationInfo >
| CoreInfo (TData data)
| CoreInfo (TData data, TParent parent)
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreInfo< ElevationInstanceInfoData, Elevation, ElevationInfo >
TData | Data`[get]`
TParent | ParentInfo`[get, set]`
TParentObject | Parent`[get, set]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreInfoDeletable
bool | Deleted`[get]`
| Indicated if this core info is deleted. More...
bool | IsDeleted`[get]`
| Indicated if this core info is deleted. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreInfoWithGuid
Guid | Guid`[get]`
| The globally unique identifier of an info object. More...

## Detailed Description

Represents the metadata to a ElevationInstance.

## Member Data Documentation

## ◆ AssignedFabricationLot

string Ofcas.Lk.Api.Client.Core.ElevationInstanceInfo.AssignedFabricationLot => Data.AssignedFabricationLotName

Holds the name of the assigned fabrication lot project if the instance was include in a fabrication lot.

## ◆ Deleted

bool Ofcas.Lk.Api.Client.Core.ElevationInstanceInfo.Deleted => Data.IsDeleted

Indicates whether this object was deleted.

## ◆ Description

string Ofcas.Lk.Api.Client.Core.ElevationInstanceInfo.Description => Data.Description

Defines the description of the elevation instance.

## ◆ Guid

Guid Ofcas.Lk.Api.Client.Core.ElevationInstanceInfo.Guid => Data.Guid

Defines the unique identifier for the elevation instance. This Guid is valid during the hole lifetime of the elevation instance.

## ◆ IsDeleted

bool Ofcas.Lk.Api.Client.Core.ElevationInstanceInfo.IsDeleted => Data.IsDeleted

Indicates whether this object was deleted.

The documentation for this class was generated from the following file:

- ElevationInstanceInfo.cs